***************


.option method=gear converge=1  gmindc=1.0e-9 gshunt=1.0e-9
.option accurate nomod brief
.option ingold=2

* Models
.include   'lib/max4952.sp' 
.include   'lib/max4952_package.sp'
.lib   'lib/all_but_fets.sp' nom
.lib   'lib/fets.sp' nom 
.include   'lib/func_set.sp' 
.include   'lib/nrand_set.sp' 
.include   'lib/match_set.sp' 
.include   'lib/mc_set.sp' 
.include   'lib/inductors_nom.sp' 
.include   'lib/global_set.sp' 
.include   'lib/skew_set.sp' 

* Other subcircuits
* Single ended to differential converter
.subckt at_se2diff vin von vop vss gain=1.0
*.param gain=1.0
ee1  von vss vss vin  '(gain/2.0)'
ee0  vop vss vin vss  '(gain/2.0)'
*ee1  von vss vss vin  0.5
*ee0  vop vss vin vss  0.5
.ends at_se2diff

* Bandwidth limiter
.subckt at_lpf_diff vin vip von vop
cc1  vop 0  7.9894e-15
cc0  von 0  7.9894e-15
rr0  von 0  50
rr1  vop 0  50
gg0  von 0 vip 0  0.02
gg1  vop 0 vin 0  0.02
.ends at_lpf_diff

* K28.5 pattern generator at 6Gbps
.subckt v_k28_5 gnd out vinpk=1.0
vv3  net5 gnd  pwl 
+ 0 +1.0 
+ 2e-11 0.0
vv0  out net5  pwl 
+ 0.00000  '-vinpk'
+ 2.0e-11 '+vinpk'
+ 3.34E-10 '+vinpk'
+ 3.54e-10  '-vinpk'
+ 1.169e-9  '-vinpk'
+ 1.189E-9 '+vinpk'
+ 1.336E-9 '+vinpk'
+ 1.356E-9  '-vinpk'
+ 1.503E-9  '-vinpk'
+ 1.523E-9 '+vinpk'
+ 1.67E-9 '+vinpk'
+ 1.69E-9  '-vinpk'
+ 2.004E-9  '-vinpk'
+ 2.024E-9 '+vinpk'
+ 2.839E-9 '+vinpk'
+ 2.859e-9  '-vinpk'
+ 3.006E-9  '-vinpk'
+ 3.026E-9 '+vinpk'
+ 3.173E-9 '+vinpk'
+ 3.193E-9  '-vinpk'
+ 3.340E-9  '-vinpk'
+ r
.ends v_k28_5



* Top Circuit
x4952  max_rxp max_rxm max_txp max_txm en mode eq pe vcc gnd max4952_single_ch
cc1  sys_txm max_rxm  1e-08
cc0  sys_txp max_rxp  1e-08
cc2  max_txp sys_rxp  1e-08
cc3  max_txm sys_rxm  1e-08
xk28p5  vin_se  gnd v_k28_5 
xi95  vin_se vdp vdm gnd at_se2diff 
xi113  vdp vdm vdp2 vdm2 at_lpf_diff 
ccp4  vcc sys_rxm  2.7e-13
ccp5  vcc sys_rxp  2.7e-13
vv0  vcc gnd  dc=3.3
vgnd gnd 0 dc=0
vv46  en 0  dc=3.3
vv2  mode 0  dc=0
vv72  eq 0  dc=0.0
vvpeq0  pe 0  dc=0.0
ee8  vtxp vcc vdm2 gnd  0.5
ee7  vcc vtxm gnd vdp2  0.5
rr7  vtxp sys_txp  50
rr8  vtxm sys_txm  50
rr21  sys_rxp gnd  50
rr22  sys_rxm gnd  50

* End of Top Circuit


.tran 2p 30n
.option post probe 
.probe tran 
+ v(max_txp) v(max_txm) 
+ v(max_txp,max_txm) 
+ v(sys_txp) v(sys_txm) 
+ v(sys_txp,sys_txm) 
+ v(vin_se) 
+ v(max_rxp) v(max_rxm) 
+ v(max_rxp,max_rxm)
+ v(sys_rxp) v(sys_rxm) 
+ v(sys_rxp,sys_rxm)
+ v(vdp) v(vdm) 
+ v(vdp,vdm) 
+ v(vdp2) v(vdm2) 
+ v(vdp2,vdm2) 



.print tran
+ v(sys_rxp,sys_rxm)
*+ v(vin_se)

.end
